Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001297TestLinkUser Interface Generalpublic2008-01-16 02:302008-11-07 19:46
Reporterazl 
Assigned Toazl 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.8 Beta 1 
Summary0001297: Show test project id when editing on projectEdit.php page for API usage
DescriptionThe test project id should show on projectEdit.php if api_ui_show is enabled.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0002948)
azl (administrator)
2008-01-16 02:32

Committed to CVS HEAD. The test project ID now shows on projectEdit.php if api_ui_show is enabled.

modified files: projectEdit.tpl and projectEdit.php
(0002968)
fman (administrator)
2008-01-16 23:23

Disagree, user will use Project View for this task
(0002970)
azl (administrator)
2008-01-16 23:32

The idea was to expose the IDs for the API any place where a user interacts with this type of item in the UI.
(0002972)
fman (administrator)
2008-01-16 23:46

As stated before to see the ID for API user must use the feature that list ALL TESTPROJECTS
There is no need to add this field to the EDIT PROJECT FEATURE.
(0002973)
azl (administrator)
2008-01-16 23:50

The main point in question is the need to expose the ID in all cases. This is really true even outside of the API. Once this ID is exposed it becomes the main way that users reference specific items. Exposing these IDs will also become more useful once we have implemented prefixes.
(0002974)
fman (administrator)
2008-01-17 00:48

>The main point in question is the need to expose the ID in all cases. This is >really true even outside of the API. Once this ID is exposed it becomes the main >way that users reference specific items.
This is the worst direction we can take.
Not all users will use the API.

>Exposing these IDs will also become more >useful once we have implemented prefixes.

Prefixes will be only used for test cases ID and Nothing more.

- Issue History
Date Modified Username Field Change
2008-01-16 02:30 azl New Issue
2008-01-16 02:30 azl Status new => assigned
2008-01-16 02:30 azl Assigned To => azl
2008-01-16 02:32 azl Status assigned => resolved
2008-01-16 02:32 azl Fixed in Version => next development version (1.8 Beta1)
2008-01-16 02:32 azl Resolution open => fixed
2008-01-16 02:32 azl Note Added: 0002948
2008-01-16 23:23 fman Note Added: 0002968
2008-01-16 23:32 azl Note Added: 0002970
2008-01-16 23:46 fman Note Added: 0002972
2008-01-16 23:50 azl Note Added: 0002973
2008-01-17 00:48 fman Note Added: 0002974
2008-06-03 16:49 mhavlat Fixed in Version next development version (1.8 Beta1) => 1.8 Beta 1
2008-11-07 19:46 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker